TimelinePutResponseWriter (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timeline.writer, class: TimelinePutResponseWriter

Package org.apache.hadoop.yarn.api.records.timeline.writer

# Class TimelinePutResponseWriter

java.lang.Object
org.apache.hadoop.yarn.api.records.timeline.writer.TimelinePutResponseWriter

All Implemented Interfaces:
  `javax.ws.rs.ext.MessageBodyWriter<TimelinePutResponse>`

@Provider @Consumes("application/json") public class TimelinePutResponseWriter extends Object implements javax.ws.rs.ext.MessageBodyWriter<TimelinePutResponse>
We have defined a dedicated Writer for TimelinePutResponse, aimed at adapting to the Jersey2 framework to ensure that TimelinePutResponse can be converted into JSON format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelinePutResponseWriter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getSize(TimelinePutResponse timelinePutResponse, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
  `boolean`
  `isWriteable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
  `void`
  `writeTo(TimelinePutResponse timelinePutResponse, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimelinePutResponseWriter

    public TimelinePutResponseWriter()

- ## Method Details

  - ### isWriteable

    public boolean isWriteable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)
    Specified by:
      `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<TimelinePutResponse>`

  - ### writeTo

    public void writeTo(TimelinePutResponse timelinePutResponse, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream) throws IOException, javax.ws.rs.WebApplicationException
    Specified by:
      `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<TimelinePutResponse>`
    Throws:
      `IOException`
      `javax.ws.rs.WebApplicationException`

  - ### getSize

    public long getSize(TimelinePutResponse timelinePutResponse, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)
    Specified by:
      `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<TimelinePutResponse>`